ServletResponseWrapperInclude (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.jasper.runtime, class: ServletResponseWrapperInclude

# Class ServletResponseWrapperInclude

java.lang.Object
jakarta.servlet.ServletResponseWrapper
jakarta.servlet.http.HttpServletResponseWrapper
org.apache.jasper.runtime.ServletResponseWrapperInclude

All Implemented Interfaces:
  `HttpServletResponse, ServletResponse`

public class ServletResponseWrapperInclude extends HttpServletResponseWrapper
ServletResponseWrapper used by the JSP 'include' action. This wrapper response object is passed to RequestDispatcher.include(), so that the output of the included resource is appended to that of the including page.

- ## Field Summary

  ### Fields inherited from interface HttpServletResponse

  `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServletResponseWrapperInclude(ServletResponse response, JspWriter jspWriter)`
  Creates a new response wrapper for include operations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServletOutputStream`
  `getOutputStream()`
  The default behavior of this method is to return getOutputStream() on the wrapped response object.
  `PrintWriter`
  `getWriter()`
  The default behavior of this method is to return getWriter() on the wrapped response object.
  `void`
  `resetBuffer()`
  Clears the output buffer of the JspWriter associated with the including page.

  ### Methods inherited from class HttpServletResponseWrapper

  `addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectURL, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setTrailerFields`

  ### Methods inherited from class ServletResponseWrapper

  `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, isWrapperFor, isWrapperFor, reset, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale, setResponse`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ServletResponse

  `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, reset, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

- ## Constructor Details

  - ### ServletResponseWrapperInclude

    public ServletResponseWrapperInclude(ServletResponse response, JspWriter jspWriter)
    Creates a new response wrapper for include operations.
    Parameters:
      `response` - the servlet response
      `jspWriter` - the JSP writer

- ## Method Details

  - ### getWriter

    public PrintWriter getWriter() throws IOException
    Description copied from class: `jakarta.servlet.ServletResponseWrapper`
    The default behavior of this method is to return getWriter() on the wrapped response object.
    Specified by:
      `getWriter` in interface `ServletResponse`
    Overrides:
      `getWriter` in class `ServletResponseWrapper`
    Returns:
      a wrapper around the JspWriter of the including page.
    Throws:
      `IOException` - if an input or output exception occurred
    See Also:
      - `ServletResponse.getOutputStream()`
      - `ServletResponse.setCharacterEncoding(String)`

  - ### getOutputStream

    public ServletOutputStream getOutputStream() throws IOException
    Description copied from class: `jakarta.servlet.ServletResponseWrapper`
    The default behavior of this method is to return getOutputStream() on the wrapped response object.
    Specified by:
      `getOutputStream` in interface `ServletResponse`
    Overrides:
      `getOutputStream` in class `ServletResponseWrapper`
    Returns:
      a `ServletOutputStream` for writing binary data
    Throws:
      `IOException` - if an input or output exception occurred
    See Also:
      - `ServletResponse.getWriter()`

  - ### resetBuffer

    public void resetBuffer()
    Clears the output buffer of the JspWriter associated with the including page.
    Specified by:
      `resetBuffer` in interface `ServletResponse`
    Overrides:
      `resetBuffer` in class `ServletResponseWrapper`
    See Also:
      - `ServletResponse.setBufferSize(int)`
      - `ServletResponse.getBufferSize()`
      - `ServletResponse.isCommitted()`
      - `ServletResponse.reset()`